#include <stdio.h>
#define TABLESIZE 10

typedef struct HashEntry
{
	int key;
	struct HashEntry *next;
	char *value;
} HashEntry;

HashEntry *hashtable[TABLESIZE];

void hash_add(int key, char *value)
{
	int hash = key % TABLESIZE;
	HashEntry *entry = (HashEntry *) malloc(sizeof(HashEntry));
	
	entry->key = key;
	entry->value = value;
	entry->next = hashtable[hash];

	hashtable[hash] = entry;
}

void main()
{
	hash_add(123, "test123");
	hash_add(345, "test345");
	hash_add(567, "test567");
	hash_add(13, "test13");
	hash_add(23, "test23");
	hash_add(7, "test7");
	hash_add(8, "test8");

	printf("Done\n");
}
